org.eclipse.mat.ui.internal.query.arguments

## Class SnapshotSelectionEditor

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor
          - - org.eclipse.mat.ui.internal.query.arguments.SnapshotSelectionEditor

All Implemented Interfaces:
  Drawable

    public class SnapshotSelectionEditor
    extends ArgumentEditor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`ArgumentEditor.IEditorListener`

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotSelectionEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getValue()`
`boolean` `setFocus()`
`void` `setValue(Object value)`

### Methods inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`addListener, getDescriptor, removeListener`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### SnapshotSelectionEditor

    public SnapshotSelectionEditor(Composite parent,
                                   IQueryContext context,
                                   ArgumentDescriptor descriptor,
                                   TableItem item)

### Method Detail

#### getValue

    public Object getValue()

Specified by:
  `getValue` in class `ArgumentEditor`

#### setValue

    public void setValue(Object value)
                  throws SnapshotException

Specified by:
  `setValue` in class `ArgumentEditor`
Throws:
  `SnapshotException`

#### setFocus

    public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`